<template>
  <div class="dropdown">
    <a
      href="#"
      class="header-cart text-body position-relative dropdown-toggle d-block"
      data-toggle="dropdown"
      aria-expanded="false"
      id="dropdownMenuButton"
    >
      <i class="fa fa-shopping-cart header-cart-icon" aria-hidden="true"></i>
      <span class="header-cart-number bg-secondary text-white">15</span>
    </a>
    <div
      class="dropdown-menu dropdown-menu-right header-cart-main"
      aria-labelledby="dropdownMenuButton"
    >
      <div class="header-cart-list">
        <HeaderCartItem />
      </div>

      <HeaderCartForm />
    </div>
  </div>
</template>

<script>
import HeaderCartItem from "./header-cart-item.vue";
import HeaderCartForm from "./header-cart-form.vue";
export default {
  name: "HeaderCart",
  components: { HeaderCartItem, HeaderCartForm },
};
</script>

<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.header-cart-number {
  @include position-top-right(-12px, -8px);
  @include border-radius(50%);
  font-size: 10px;
  padding: 0.5px 3px;
  border: 1px solid #fff;
  min-width: 20px;
  text-align: center;
}

.header-cart {
  &:after {
    display: none !important;
  }
}

.dropdown::after {
  display: none;
}

.header-cart-icon {
  font-size: 24px;
}

.header-cart-main {
  box-shadow: 0 3px 8px 2px #1c1b1b33;
  margin-top: 10px;
  width: 410px;
  padding: 12px 24px 25px 12px;
  border: none;
  @include breakpoints(max-xs) {
    width: 360px;
    right: -25px;
  }
}

.header-cart-list {
  max-height: 292px;
  padding-right: 12px;
  margin-right: -12px;
}
</style>
